Index: LMDZ5/trunk/libf/dyn3d/ce0l.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3d/ce0l.F90	(revision 1783)
+++ LMDZ5/trunk/libf/dyn3d/ce0l.F90	(revision 1785)
@@ -20,4 +20,5 @@
   USE comgeomphy
   USE infotrac
+  USE indice_sol_mod
 
 #ifdef CPP_IOIPSL
@@ -36,5 +37,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "indicesol.h"
+!#include "indicesol.h"
 #include "iniprint.h"
 #include "temps.h"
Index: LMDZ5/trunk/libf/dyn3d/gcm.F
===================================================================
--- LMDZ5/trunk/libf/dyn3d/gcm.F	(revision 1783)
+++ LMDZ5/trunk/libf/dyn3d/gcm.F	(revision 1785)
@@ -16,4 +16,9 @@
       USE infotrac
       USE control_mod
+
+#ifdef INCA
+! Only INCA needs these informations (from the Earth's physics)
+      USE indice_sol_mod
+#endif
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -77,5 +82,5 @@
 #ifdef INCA
 ! Only INCA needs these informations (from the Earth's physics)
-#include "indicesol.h"
+!#include "indicesol.h"
 #endif
       INTEGER         longcles
Index: LMDZ5/trunk/libf/dyn3dmem/ce0l.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/ce0l.F90	(revision 1783)
+++ LMDZ5/trunk/libf/dyn3dmem/ce0l.F90	(revision 1785)
@@ -23,4 +23,5 @@
   USE infotrac
   USE parallel, ONLY: finalize_parallel
+  USE indice_sol_mod
 
 #ifdef CPP_IOIPSL
@@ -39,5 +40,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "indicesol.h"
+!#include "indicesol.h"
 #include "iniprint.h"
 #include "temps.h"
Index: LMDZ5/trunk/libf/dyn3dmem/gcm.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dmem/gcm.F	(revision 1783)
+++ LMDZ5/trunk/libf/dyn3dmem/gcm.F	(revision 1785)
@@ -19,4 +19,9 @@
       USE filtreg_mod
       USE control_mod
+
+#ifdef INCA
+! Only INCA needs these informations (from the Earth's physics)
+      USE indice_sol_mod
+#endif
 
 #ifdef CPP_PHYS
@@ -75,5 +80,5 @@
 #ifdef INCA
 ! Only INCA needs these informations (from the Earth's physics)
-#include "indicesol.h"
+!#include "indicesol.h"
 #endif
 
Index: LMDZ5/trunk/libf/dyn3dpar/ce0l.F90
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/ce0l.F90	(revision 1783)
+++ LMDZ5/trunk/libf/dyn3dpar/ce0l.F90	(revision 1785)
@@ -23,4 +23,5 @@
   USE infotrac
   USE parallel, ONLY: finalize_parallel
+  USE indice_sol_mod
 
 #ifdef CPP_IOIPSL
@@ -39,5 +40,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "indicesol.h"
+!#include "indicesol.h"
 #include "iniprint.h"
 #include "temps.h"
Index: LMDZ5/trunk/libf/dyn3dpar/gcm.F
===================================================================
--- LMDZ5/trunk/libf/dyn3dpar/gcm.F	(revision 1783)
+++ LMDZ5/trunk/libf/dyn3dpar/gcm.F	(revision 1785)
@@ -19,4 +19,9 @@
       USE filtreg_mod
       USE control_mod
+
+#ifdef INCA
+! Only INCA needs these informations (from the Earth's physics)
+      USE indice_sol_mod
+#endif
 
 #ifdef CPP_PHYS
@@ -75,5 +80,5 @@
 #ifdef INCA
 ! Only INCA needs these informations (from the Earth's physics)
-#include "indicesol.h"
+!#include "indicesol.h"
 #endif
 
Index: LMDZ5/trunk/libf/phy1d/lmdz1d.F
===================================================================
--- LMDZ5/trunk/libf/phy1d/lmdz1d.F	(revision 1783)
+++ LMDZ5/trunk/libf/phy1d/lmdz1d.F	(revision 1785)
@@ -2,14 +2,14 @@
 
       USE ioipsl, only: ju2ymds, ymds2ju, ioconf_calendar
-      use phys_state_var_mod
-      use comgeomphy
-      use dimphy
-      use surface_data, only : type_ocean,ok_veget
-      use pbl_surface_mod, only : ftsoil, pbl_surface_init,
-     $                            pbl_surface_final
-      use fonte_neige_mod, only : fonte_neige_init, fonte_neige_final 
-
-      use infotrac ! new
-      use control_mod
+      USE phys_state_var_mod
+      USE comgeomphy
+      USE dimphy
+      USE surface_data, only : type_ocean,ok_veget
+      USE pbl_surface_mod, only : pbl_surface_init, pbl_surface_final
+      USE fonte_neige_mod, only : fonte_neige_init, fonte_neige_final 
+
+      USE infotrac ! new
+      USE control_mod
+      USE indice_sol_mod
 
       implicit none
@@ -21,10 +21,9 @@
 #include "clesphys.h"
 #include "dimsoil.h"
-#include "indicesol.h"
+!#include "indicesol.h"
 
 #include "comvert.h"
 #include "compar1d.h"
 #include "flux_arp.h"
-#include "tsoilnudge.h"
 #include "fcg_gcssold.h"
 !!!#include "fbforcing.h"
@@ -88,6 +87,6 @@
 
         integer :: kmax = llm
-        integer nlev_max,llm700
-        parameter (nlev_max = 1000)
+        integer nlev_max
+        parameter (nlev_max = 100)
         real timestep, frac, timeit
         real height(nlev_max),tttprof(nlev_max),qtprof(nlev_max),
@@ -100,23 +99,19 @@
 c        integer :: forcing_type
         logical :: forcing_les     = .false.
-        logical :: forcing_armcu   = .false.
+        logical :: forcing_armcu  = .false.
         logical :: forcing_rico    = .false.
         logical :: forcing_radconv = .false.
         logical :: forcing_toga    = .false.
         logical :: forcing_twpice  = .false.
-        logical :: forcing_amma    = .false.
         logical :: forcing_GCM2SCM = .false.
         logical :: forcing_GCSSold = .false.
-        logical :: forcing_sandu   = .false.
-        logical :: forcing_astex   = .false.
-        logical :: forcing_fire    = .false.
         integer :: type_ts_forcing ! 0 = SST constant; 1 = SST read from a file
 !                                                            (cf read_tsurf1d.F)
 
 !vertical advection computation
-!       real d_t_z(llm), d_q_z(llm)
-!       real d_t_dyn_z(llm), d_q_dyn_z(llm)
-!       real zz(llm)
-!       real zfact
+        real d_t_z(llm), d_q_z(llm)
+        real d_t_dyn_z(llm), d_q_dyn_z(llm)
+        real zz(llm)
+        real zfact
 
 !flag forcings
@@ -135,5 +130,5 @@
       real :: pzero=1.e5
       real :: play (llm),zlay (llm),sig_s(llm),plev(llm+1)
-      real :: playd(llm),zlayd(llm),ap_amma(llm+1),bp_amma(llm+1),poub
+      real :: playd(llm),zlayd(llm)
 
 !---------------------------------------------------------------------
@@ -143,6 +138,6 @@
       integer :: iq
       real :: phi(llm)
-      real :: teta(llm),tetal(llm),temp(llm),u(llm),v(llm),w(llm)
       real :: rlat_rad(1),rlon_rad(1)
+      real :: teta(llm),temp(llm),u(llm),v(llm)
       real :: omega(llm+1),omega2(llm),rho(llm+1)
       real :: ug(llm),vg(llm),fcoriolis
@@ -202,5 +197,5 @@
 !  Fichiers et d'autres variables
 !---------------------------------------------------------------------
-      real ttt,bow,q1
+      real ttt
       integer :: ierr,k,l,i,it=1,mxcalc
       integer jjmp1
@@ -258,24 +253,10 @@
 !             initial profiles from RICO files 
 !             LS convergence imposed from RICO files 
-!forcing_type = 6 ==> forcing_amma = .true.
-!             initial profiles from AMMA nc file 
-!             LS convergence, omega and surface fluxes imposed from AMMA file  
 !forcing_type = 40 ==> forcing_GCSSold = .true.
 !             initial profile from GCSS file
 !             LS convergence imposed from GCSS file
-!forcing_type = 59 ==> forcing_sandu = .true.
-!             initial profiles from sanduref file: see prof.inp.001
-!             SST varying with time and divergence constante: see ifa_sanduref.txt file
-!             Radiation has to be computed interactively
-!forcing_type = 60 ==> forcing_astex = .true.
-!             initial profiles from file: see prof.inp.001 
-!             SST,divergence,ug,vg,ufa,vfa varying with time : see ifa_astex.txt file
-!             Radiation has to be computed interactively
 !forcing_type = 61 ==> forcing_armcu = .true.
-!             initial profiles from file: see prof.inp.001 
-!             sensible and latent heat flux imposed: see ifa_arm_cu_1.txt
-!             large scale advective forcing & radiative tendencies applied below 1000m: see ifa_arm_cu_2.txt
-!             use geostrophic wind ug=10m/s vg=0m/s. Duration of the case 53100s 
-!             Radiation to be switched off
+!             initial profile from arm_cu file
+!             LS convergence imposed from arm_cu file
 !
       if (forcing_type .eq.0) THEN
@@ -291,12 +272,6 @@
       elseif (forcing_type .eq.5) THEN
        forcing_rico = .true.
-      elseif (forcing_type .eq.6) THEN
-       forcing_amma = .true.
       elseif (forcing_type .eq.40) THEN
        forcing_GCSSold = .true.
-      elseif (forcing_type .eq.59) THEN
-       forcing_sandu   = .true.
-      elseif (forcing_type .eq.60) THEN
-       forcing_astex   = .true.
       elseif (forcing_type .eq.61) THEN
        forcing_armcu = .true.
@@ -304,5 +279,5 @@
       else
        write (*,*) 'ERROR : unknown forcing_type ', forcing_type
-       stop 'Forcing_type should be 0,1,2,3,4,5,6 or 40,59,60,61'
+       stop 'Forcing_type should be 0,1,2,3 or 40'
       ENDIF
       print*,"forcing type=",forcing_type
@@ -314,6 +289,5 @@
 
         type_ts_forcing = 0
-        if (forcing_toga .or. forcing_sandu .or. forcing_astex) 
-     :    type_ts_forcing = 1
+        if (forcing_toga) type_ts_forcing = 1
 
 !---------------------------------------------------------------------
@@ -354,6 +328,4 @@
 c Special case for arm_cu which lasts less than one day : 53100s !! (MPL 20111026)
       IF(forcing_type .EQ. 61) fnday=53100./86400.
-c Special case for amma which lasts less than one day : 64800s !! (MPL 20120216)
-      IF(forcing_type .EQ. 6) fnday=64800./86400.
       annee_ref = anneeref
       mois = 1
@@ -365,40 +337,17 @@
       day_ini = day
       day_end = day_ini + nday
-
-      IF (forcing_type .eq.2) THEN
 ! Convert the initial date of Toga-Coare to Julian day
       call ymds2ju
      $ (year_ini_toga,mth_ini_toga,day_ini_toga,heure,day_ju_ini_toga)
 
-      ELSEIF (forcing_type .eq.4) THEN
 ! Convert the initial date of TWPICE to Julian day
       call ymds2ju
      $ (year_ini_twpi,mth_ini_twpi,day_ini_twpi,heure_ini_twpi
      $ ,day_ju_ini_twpi)
-      ELSEIF (forcing_type .eq.6) THEN
-! Convert the initial date of AMMA to Julian day
-      call ymds2ju
-     $ (year_ini_amma,mth_ini_amma,day_ini_amma,heure_ini_amma
-     $ ,day_ju_ini_amma)
-
-      ELSEIF (forcing_type .eq.59) THEN
-! Convert the initial date of Sandu case to Julian day
-      call ymds2ju
-     $   (year_ini_sandu,mth_ini_sandu,day_ini_sandu,
-     $    time_ini*3600.,day_ju_ini_sandu)
-
-      ELSEIF (forcing_type .eq.60) THEN
-! Convert the initial date of Astex case to Julian day
-      call ymds2ju
-     $   (year_ini_astex,mth_ini_astex,day_ini_astex,
-     $    time_ini*3600.,day_ju_ini_astex)
-
-      ELSEIF (forcing_type .eq.61) THEN
-
-! Convert the initial date of Arm_cu case to Julian day
+
+! Convert the initial date of Arm_cu to Julian day
       call ymds2ju
      $ (year_ini_armcu,mth_ini_armcu,day_ini_armcu,heure_ini_armcu
      $ ,day_ju_ini_armcu)
-      ENDIF
 
       daytime = day + time_ini/24. ! 1st day and initial time of the simulation 
@@ -487,17 +436,9 @@
 ccc      zlay=-rd*300.*log(play/psurf)/rg ! moved after reading profiles
 
-      IF (forcing_type .eq. 59) THEN
-! pour forcing_sandu, on cherche l'indice le plus proche de 700hpa#3000m
       write(*,*) '***********************'
       do l = 1, llm
        write(*,*) 'l,play(l),presnivs(l): ',l,play(l),presnivs(l)
-       if (trouve_700 .and. play(l).le.70000) then
-         llm700=l
-         print *,'llm700,play=',llm700,play(l)/100.
-         trouve_700= .false.
-       endif
       enddo
       write(*,*) '***********************'
-      ENDIF
 
 c
@@ -575,17 +516,4 @@
         agesno  = xagesno
         tsoil(:,:,:)=tsurf
-!------ AMMA 2e run avec modele sol et rayonnement actif (MPL 23052012)
-!       tsoil(1,1,1)=299.18
-!       tsoil(1,2,1)=300.08
-!       tsoil(1,3,1)=301.88
-!       tsoil(1,4,1)=305.48
-!       tsoil(1,5,1)=308.00
-!       tsoil(1,6,1)=308.00
-!       tsoil(1,7,1)=308.00
-!       tsoil(1,8,1)=308.00
-!       tsoil(1,9,1)=308.00
-!       tsoil(1,10,1)=308.00
-!       tsoil(1,11,1)=308.00
-!-----------------------------------------------------------------------
         call pbl_surface_init(qsol, fder, snsrf, qsurfsrf,
      &                                    evap, frugs, agesno, tsoil)
@@ -821,6 +749,5 @@
        endif
 
-       if (forcing_toga .or. forcing_GCSSold .or. forcing_twpice
-     :    .or.forcing_amma) then
+       if (forcing_toga .or. forcing_GCSSold .or. forcing_twpice) then
          fcoriolis=0.0 ; ug=0. ; vg=0.
        endif
@@ -887,13 +814,4 @@
 
         teta=temp*(pzero/play)**rkappa
-!
-!---------------------------------------------------------------------
-!   Nudge soil temperature if requested
-!---------------------------------------------------------------------
-
-      IF (nudge_tsoil) THEN
-       ftsoil(1,isoil_nudge,:) = ftsoil(1,isoil_nudge,:) 
-     .  -timestep/tau_soil_nudge*(ftsoil(1,isoil_nudge,:)-Tsoil_nudge)
-      ENDIF
 
 !---------------------------------------------------------------------
Index: LMDZ5/trunk/libf/phy1d/ocean_forced_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phy1d/ocean_forced_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phy1d/ocean_forced_mod.F90	(revision 1785)
@@ -31,5 +31,6 @@
     USE limit_read_mod
     USE mod_grid_phy_lmdz
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+!    INCLUDE "indicesol.h"
     INCLUDE "YOMCST.h"
 
@@ -145,6 +146,7 @@
     USE limit_read_mod
     USE fonte_neige_mod,  ONLY : fonte_neige
-
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
+!    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
Index: LMDZ5/trunk/libf/phy1d/pbl_surface_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phy1d/pbl_surface_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phy1d/pbl_surface_mod.F90	(revision 1785)
@@ -23,4 +23,5 @@
   USE coef_diff_turb_mod,  ONLY : coef_diff_turb
   USE control_mod
+  USE indice_sol_mod
 
 
@@ -57,5 +58,4 @@
 ! for the index of the different surfaces and tests the choice of type of ocean.
 
-    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "iniprint.h"
@@ -250,5 +250,4 @@
     IMPLICIT NONE
 
-    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
@@ -1319,5 +1318,4 @@
        evap_rst, rugos_rst, agesno_rst, ftsoil_rst)
 
-    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
 
@@ -1369,5 +1367,4 @@
     ! Give default values where new fraction has appread
 
-    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "clesphys.h"
Index: LMDZ5/trunk/libf/phy1d/surf_land_bucket_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phy1d/surf_land_bucket_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phy1d/surf_land_bucket_mod.F90	(revision 1785)
@@ -26,9 +26,10 @@
     USE mod_grid_phy_lmdz
     USE mod_phys_lmdz_para
+    USE indice_sol_mod
 !****************************************************************************************
 ! Bucket calculations for surface. 
 !
     INCLUDE "clesphys.h"
-    INCLUDE "indicesol.h"
+!    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
Index: LMDZ5/trunk/libf/phylmd/calbeta.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/calbeta.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/calbeta.F90	(revision 1785)
@@ -6,4 +6,5 @@
 
   USE dimphy
+  USE indice_sol_mod
   IMPLICIT none
 !======================================================================
@@ -13,7 +14,5 @@
 !
 ! Calculer quelques parametres pour appliquer la couche limite
-! ------------------------------------------------------------
-  INCLUDE "indicesol.h"
-  
+! ------------------------------------------------------------ 
 ! Variables d'entrees
 !****************************************************************************************
Index: LMDZ5/trunk/libf/phylmd/calcul_fluxs_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/calcul_fluxs_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/calcul_fluxs_mod.F90	(revision 1785)
@@ -12,4 +12,5 @@
     
     USE dimphy, ONLY : klon
+    USE indice_sol_mod
 
 ! Cette routine calcule les fluxs en h et q a l'interface et eventuellement
@@ -49,5 +50,4 @@
     INCLUDE "YOETHF.h"
     INCLUDE "FCTTRE.h"
-    INCLUDE "indicesol.h"
     INCLUDE "YOMCST.h"
 
Index: LMDZ5/trunk/libf/phylmd/calltherm.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/calltherm.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/calltherm.F90	(revision 1785)
@@ -17,7 +17,8 @@
      &      ,alp_bl_conv,alp_bl_stat &
 !!! fin nrlmd le 10/04/2012
-     &      ,zqla,ztva )
+     &                    )
 
       USE dimphy
+      USE indice_sol_mod
       implicit none
 #include "dimensions.h"
@@ -26,7 +27,4 @@
 #include "iniprint.h"
 
-!!! nrlmd le 10/04/2012
-#include "indicesol.h"
-!!! fin nrlmd le 10/04/2012
 
 !IM 140508
@@ -63,5 +61,5 @@
       real zqla(klon,klev)
       real zqta(klon,klev)
-      real ztv(klon,klev),ztva(klon,klev)
+      real ztv(klon,klev)
       real zpspsk(klon,klev)
       real ztla(klon,klev)
@@ -257,5 +255,5 @@
      &      ,alp_bl_conv,alp_bl_stat &
 !!! fin nrlmd le 10/04/2012
-     &      ,ztva )
+     &                         )
            if (prt_level.gt.10) write(lunout,*)'Apres thermcell_main OK'
          else
Index: LMDZ5/trunk/libf/phylmd/carbon_cycle_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/carbon_cycle_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/carbon_cycle_mod.F90	(revision 1785)
@@ -309,9 +309,9 @@
     USE phys_cal_mod, ONLY : day_cur
     USE comgeomphy
+    USE indice_sol_mod
 
     IMPLICIT NONE
 
     INCLUDE "clesphys.h"
-    INCLUDE "indicesol.h"
     INCLUDE "iniprint.h"
     INCLUDE "YOMCST.h"
Index: LMDZ5/trunk/libf/phylmd/change_srf_frac_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/change_srf_frac_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/change_srf_frac_mod.F90	(revision 1785)
@@ -28,7 +28,7 @@
     USE cpl_mod, ONLY : cpl_receive_frac
     USE ocean_slab_mod, ONLY : ocean_slab_frac
+    USE indice_sol_mod
 
     INCLUDE "iniprint.h"
-    INCLUDE "indicesol.h"
     INCLUDE "YOMCST.h"
 
Index: LMDZ5/trunk/libf/phylmd/clcdrag.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/clcdrag.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/clcdrag.F90	(revision 1785)
@@ -8,4 +8,6 @@
 
   USE dimphy
+  USE indice_sol_mod
+
   IMPLICIT NONE
 ! ================================================================= c
@@ -17,5 +19,5 @@
 !
 ! knon----input-I- nombre de points pour un type de surface
-! nsrf----input-I- indice pour le type de surface; voir indicesol.h
+! nsrf----input-I- indice pour le type de surface; voir indice_sol_mod.F90
 ! u1-------input-R- vent zonal au 1er niveau du modele
 ! v1-------input-R- vent meridien au 1er niveau du modele
@@ -41,5 +43,4 @@
   INCLUDE "YOMCST.h"
   INCLUDE "YOETHF.h"
-  INCLUDE "indicesol.h"
   INCLUDE "clesphys.h"
 !
Index: LMDZ5/trunk/libf/phylmd/cltracrn.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/cltracrn.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/cltracrn.F90	(revision 1785)
@@ -9,4 +9,6 @@
   USE dimphy
   USE traclmdz_mod, ONLY : id_rn, id_pb
+  USE indice_sol_mod
+
   IMPLICIT NONE
 !======================================================================
@@ -44,5 +46,4 @@
 !======================================================================
   include "YOMCST.h"
-  include "indicesol.h"
 !
 !Entrees
Index: LMDZ5/trunk/libf/phylmd/coef_diff_turb_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/coef_diff_turb_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/coef_diff_turb_mod.F90	(revision 1785)
@@ -17,4 +17,5 @@
  
     USE dimphy
+    USE indice_sol_mod
 !
 ! Calculate coefficients(ycoefm, ycoefh) for turbulent diffusion in the 
@@ -55,5 +56,4 @@
 !****************************************************************************************
     INCLUDE "clesphys.h"
-    INCLUDE "indicesol.h"
     INCLUDE "iniprint.h"
     INCLUDE "compbl.h"
@@ -187,4 +187,5 @@
     
     USE dimphy
+    USE indice_sol_mod
   
 !======================================================================
@@ -211,5 +212,4 @@
     INCLUDE "FCTTRE.h"
     INCLUDE "iniprint.h"
-    INCLUDE "indicesol.h"
     INCLUDE "compbl.h"
     INCLUDE "YOMCST.h"
@@ -479,4 +479,5 @@
 
     USE dimphy
+    USE indice_sol_mod
 
 !======================================================================
@@ -523,5 +524,4 @@
     REAL zdthmin(knon), zdthdp
 
-    INCLUDE "indicesol.h"
     INCLUDE "YOMCST.h"
 !
Index: LMDZ5/trunk/libf/phylmd/coefcdrag.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/coefcdrag.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/coefcdrag.F90	(revision 1785)
@@ -6,4 +6,7 @@
                             ts, qsurf, rugos, okri, ri1, &
                             cdram, cdrah, cdran, zri1, pref)
+
+      USE indice_sol_mod
+
       IMPLICIT none
 !-------------------------------------------------------------------------
@@ -18,5 +21,5 @@
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
-! nsrf----input-I- indice pour le type de surface; voir indicesol.h
+! nsrf----input-I- indice pour le type de surface; voir indice_sol_mod.F90
 ! zxli----input-L- TRUE si calcul des cdrags selon Laurent Li
 ! speed---input-R- module du vent au 1er niveau du modele
@@ -49,5 +52,4 @@
       include "YOMCST.h"
       include "YOETHF.h"
-      include "indicesol.h"
 ! Quelques constantes :
       REAL, parameter :: RKAR=0.40, CB=5.0, CC=5.0, CD=5.0, cepdu2=(0.1)**2
Index: LMDZ5/trunk/libf/phylmd/condsurf.F
===================================================================
--- LMDZ5/trunk/libf/phylmd/condsurf.F	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/condsurf.F	(revision 1785)
@@ -5,4 +5,5 @@
       USE mod_grid_phy_lmdz
       USE mod_phys_lmdz_para
+      USE indice_sol_mod
       IMPLICIT none
 c
@@ -25,5 +26,4 @@
 cym#include "dimensions.h"
 cym#include "dimphy.h"
-#include "indicesol.h"
 #include "temps.h"
 #include "clesphys.h"
Index: LMDZ5/trunk/libf/phylmd/cpl_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/cpl_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/cpl_mod.F90	(revision 1785)
@@ -101,7 +101,7 @@
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, fco2_ocn_day
     USE surface_data
+    USE indice_sol_mod
 
     INCLUDE "dimensions.h"
-    INCLUDE "indicesol.h"
     INCLUDE "temps.h"
     INCLUDE "iniprint.h"
@@ -295,6 +295,6 @@
     USE phys_state_var_mod, ONLY : rlon, rlat
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
-    
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "temps.h"
     INCLUDE "iniprint.h"
@@ -424,5 +424,5 @@
 !
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, fco2_ocn_day
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
 
 ! Input arguments
@@ -541,5 +541,5 @@
 !
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, co2_send
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
     INCLUDE "dimensions.h"
 
@@ -732,5 +732,5 @@
 !
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
     INCLUDE "dimensions.h"
 
@@ -1026,7 +1026,7 @@
     USE surface_data
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
+    USE indice_sol_mod
 ! Some includes
 !*************************************************************************************
-    INCLUDE "indicesol.h"
     INCLUDE "temps.h"
     INCLUDE "dimensions.h"
Index: LMDZ5/trunk/libf/phylmd/etat0_netcdf.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/etat0_netcdf.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/etat0_netcdf.F90	(revision 1785)
@@ -24,8 +24,9 @@
   USE conf_phys_m,            ONLY: conf_phys
 ! For parameterization of ozone chemistry:
-  use regr_lat_time_coefoz_m, only: regr_lat_time_coefoz
-  use press_coefoz_m, only: press_coefoz
-  use regr_pr_o3_m, only: regr_pr_o3
+  USE regr_lat_time_coefoz_m, only: regr_lat_time_coefoz
+  USE press_coefoz_m, only: press_coefoz
+  USE regr_pr_o3_m, only: regr_pr_o3
   USE netcdf, ONLY : NF90_OPEN, NF90_NOWRITE, NF90_CLOSE, NF90_NOERR
+  USE indice_sol_mod
 #endif
   IMPLICIT NONE
@@ -47,5 +48,4 @@
 #include "comvert.h"
 #include "comconst.h"
-#include "indicesol.h"
 #include "dimsoil.h"
 #include "temps.h"
Index: LMDZ5/trunk/libf/phylmd/fonte_neige_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/fonte_neige_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/fonte_neige_mod.F90	(revision 1785)
@@ -9,4 +9,5 @@
 !****************************************************************************************
   USE dimphy, ONLY : klon
+  USE indice_sol_mod
 
   IMPLICIT NONE
@@ -44,5 +45,4 @@
 ! restart file. The other variables are initialized to zero.
 !
-    INCLUDE "indicesol.h"
 !****************************************************************************************
 ! Input argument
@@ -120,4 +120,6 @@
        tsurf, precip_rain, precip_snow, &
        snow, qsol, tsurf_new, evap)
+
+  USE indice_sol_mod
         
 ! Routine de traitement de la fonte de la neige dans le cas du traitement
@@ -139,5 +141,4 @@
 !   evap
 !
-  INCLUDE "indicesol.h"
   INCLUDE "dimensions.h"
   INCLUDE "YOETHF.h"
@@ -315,11 +316,14 @@
        fqfonte_out, ffonte_out)
 
+
+
 ! Cumulate ffonte, fqfonte and fqcalving respectively for
 ! all type of surfaces according to their fraction.
 !
 ! This routine is called from physiq.F before histwrite.
-
-    INCLUDE "indicesol.h"
-!****************************************************************************************
+!****************************************************************************************
+
+  USE indice_sol_mod
+
     REAL, DIMENSION(klon,nbsrf), INTENT(IN) :: pctsrf
 
Index: LMDZ5/trunk/libf/phylmd/hgardfou.F
===================================================================
--- LMDZ5/trunk/libf/phylmd/hgardfou.F	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/hgardfou.F	(revision 1785)
@@ -2,6 +2,7 @@
 ! $Id$
       SUBROUTINE hgardfou (t,tsol,text)
-      use dimphy
-      use phys_state_var_mod
+      USE dimphy
+      USE phys_state_var_mod
+      USE indice_sol_mod
       IMPLICIT none
 c======================================================================
@@ -10,5 +11,4 @@
 #include "dimensions.h"
 #include "YOMCST.h"
-#include "indicesol.h"
 #include "iniprint.h"
       REAL t(klon,klev), tsol(klon,nbsrf)
@@ -57,5 +57,5 @@
            DO i = 1, jbad
              WRITE(lunout,*)
-     $       'i,k,temperature,lon,lat,pourc ter,lic,oce,sic =',
+     $       'i,k,temperature,lon,lat,pourc ter,oce,lic,sic =',
      $       jadrs(i),k,zt(jadrs(i)),rlon(jadrs(i)),rlat(jadrs(i)),
      $       (pctsrf(jadrs(i),nsrf),nsrf=1,nbsrf)
@@ -78,5 +78,5 @@
            DO i = 1, jbad
              WRITE(lunout,*)
-     $       'i,k,temperature,lon,lat,pourc ter,lic,oce,sic =',
+     $       'i,k,temperature,lon,lat,pourc ter,oce,lic,sic =',
      $       jadrs(i),k,zt(jadrs(i)),rlon(jadrs(i)),rlat(jadrs(i)),
      $       (pctsrf(jadrs(i),nsrf),nsrf=1,nbsrf)
@@ -104,5 +104,5 @@
            DO i = 1, jbad
             WRITE(lunout,*) 
-     $      'i,nsrf,temperature,lon,lat,pourc ter,lic,oce,sic ='
+     $      'i,nsrf,temperature,lon,lat,pourc ter,oce,lic,sic ='
      $      ,jadrs(i),nsrf,zt(jadrs(i)),rlon(jadrs(i)),rlat(jadrs(i))
      $      ,pctsrf(jadrs(i),nsrf)
@@ -125,5 +125,5 @@
            DO i = 1, jbad
             WRITE(lunout,*) 
-     $      'i,nsrf,temperature,lon,lat,pourc ter,lic,oce,sic ='
+     $      'i,nsrf,temperature,lon,lat,pourc ter,oce,lic,sic ='
      $      ,jadrs(i),nsrf,zt(jadrs(i)),rlon(jadrs(i)),rlat(jadrs(i))
      $      ,pctsrf(jadrs(i),nsrf)
Index: LMDZ5/trunk/libf/phylmd/hydrol.F
===================================================================
--- LMDZ5/trunk/libf/phylmd/hydrol.F	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/hydrol.F	(revision 1785)
@@ -7,4 +7,6 @@
      .                  agesno, tsol,qsol,snow,runoff)
       USE dimphy
+      USE indice_sol_mod
+
       IMPLICIT none
 c======================================================================
@@ -26,5 +28,4 @@
 cym#include "dimphy.h"
 #include "YOMCST.h"
-#include "indicesol.h"
 c
       REAL chasno ! epaisseur du sol: 0.15 m
Index: LMDZ5/trunk/libf/phylmd/indice_sol_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/indice_sol_mod.F90	(revision 1785)
+++ LMDZ5/trunk/libf/phylmd/indice_sol_mod.F90	(revision 1785)
@@ -0,0 +1,12 @@
+      MODULE indice_sol_mod
+            INTEGER, PARAMETER :: nbsrf = 4 ! nombre de sous-fractions pour une maille
+            INTEGER, PARAMETER :: is_ter=1, is_lic=2, is_oce = 3, is_sic=4
+                              ! terre ! ocean ! glacier continental ! glace de mer
+
+            INTEGER, PARAMETER :: is_ave=nbsrf+1 ! glacier continental
+            REAL, PARAMETER :: epsfra=1.0E-05
+
+            CHARACTER(len=3), DIMENSION(nbsrf), PARAMETER :: clnsurf = (/'ter', 'lic', 'oce', 'sic'/)
+
+      END MODULE indice_sol_mod
+
Index: LMDZ5/trunk/libf/phylmd/indicesol.h
===================================================================
--- LMDZ5/trunk/libf/phylmd/indicesol.h	(revision 1783)
+++ 	(revision )
@@ -1,32 +1,0 @@
-!
-! $Header$
-!
-!
-!  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
-!                 veillez à n'utiliser que des ! pour les commentaires
-!                 et à bien positionner les & des lignes de continuation
-!                 (les placer en colonne 6 et en colonne 73)
-!
-!
-      INTEGER nbsrf
-      PARAMETER (nbsrf=4) ! nombre de sous-fractions pour une maille
-!
-      INTEGER is_oce
-      PARAMETER (is_oce=3) ! ocean
-      INTEGER is_sic
-      PARAMETER (is_sic=4) ! glace de mer
-      INTEGER is_ter
-      PARAMETER (is_ter=1) ! terre
-      INTEGER is_lic
-      PARAMETER (is_lic=2) ! glacier continental
-!
-      INTEGER is_ave
-      PARAMETER (is_ave=nbsrf+1) ! glacier continental
-!
-      REAL epsfra
-      PARAMETER (epsfra=1.0E-05)
-!
-      CHARACTER(len=3) clnsurf(nbsrf)
-      DATA clnsurf/'ter', 'lic', 'oce', 'sic'/
-      SAVE clnsurf
-!$OMP THREADPRIVATE(clnsurf)
Index: LMDZ5/trunk/libf/phylmd/init_be.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/init_be.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/init_be.F90	(revision 1785)
@@ -7,4 +7,5 @@
   USE comgeomphy
   USE infotrac, ONLY : nbtr
+  USE indice_sol_mod
     
   IMPLICIT NONE 
@@ -21,5 +22,4 @@
   INCLUDE "YOMCST.h"
   INCLUDE "YOECUMF.h" 
-  INCLUDE "indicesol.h"
 
 !
Index: LMDZ5/trunk/libf/phylmd/initphysto.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/initphysto.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/initphysto.F90	(revision 1785)
@@ -9,4 +9,5 @@
   USE iophy
   USE control_mod
+  USE indice_sol_mod
   
   IMPLICIT NONE
@@ -46,5 +47,4 @@
   INCLUDE "description.h"
   INCLUDE "serre.h"
-  INCLUDE "indicesol.h"
 
 !   Arguments
Index: LMDZ5/trunk/libf/phylmd/initrrnpb.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/initrrnpb.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/initrrnpb.F90	(revision 1785)
@@ -6,4 +6,5 @@
   USE infotrac, ONLY : nbtr
   USE traclmdz_mod, ONLY : id_rn, id_pb
+  USE indice_sol_mod
   IMPLICIT NONE
 !======================================================================
@@ -24,7 +25,5 @@
 ! scavtr...output-R- Coefficient de lessivage
 !======================================================================
-  INCLUDE "indicesol.h"
-!======================================================================
-
+ 
   REAL,DIMENSION(klon,nbsrf),INTENT(IN) :: pctsrf
   REAL,DIMENSION(klon,nbsrf),INTENT(IN) :: ftsol
Index: LMDZ5/trunk/libf/phylmd/interfoce_lim.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/interfoce_lim.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/interfoce_lim.F90	(revision 1785)
@@ -9,8 +9,8 @@
   USE mod_grid_phy_lmdz
   USE mod_phys_lmdz_para
+  USE indice_sol_mod
   
   IMPLICIT NONE
   
-  INCLUDE "indicesol.h"
   INCLUDE "netcdf.inc"
 
Index: LMDZ5/trunk/libf/phylmd/limit_netcdf.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/limit_netcdf.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/limit_netcdf.F90	(revision 1785)
@@ -21,4 +21,5 @@
 !-------------------------------------------------------------------------------
   USE control_mod
+  USE indice_sol_mod
 #ifdef CPP_EARTH
   USE dimphy
@@ -50,5 +51,4 @@
 #include "comgeom2.h"
 #include "comconst.h"
-#include "indicesol.h"
 
 !--- INPUT NETCDF FILES NAMES --------------------------------------------------
@@ -276,7 +276,8 @@
   USE phys_state_var_mod, ONLY : pctsrf
   USE control_mod
-  use pchsp_95_m, only: pchsp_95
-  use pchfe_95_m, only: pchfe_95
-  use arth_m, only: arth
+  USE pchsp_95_m, only: pchsp_95
+  USE pchfe_95_m, only: pchfe_95
+  USE arth_m, only: arth
+  USE indice_sol_mod
 
   IMPLICIT NONE
@@ -284,5 +285,4 @@
 #include "paramet.h"
 #include "comgeom2.h"
-#include "indicesol.h"
 #include "iniprint.h"
 !-----------------------------------------------------------------------------
Index: LMDZ5/trunk/libf/phylmd/limit_read_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/limit_read_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/limit_read_mod.F90	(revision 1785)
@@ -38,5 +38,5 @@
 
     USE dimphy
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
 
 ! Input arguments
@@ -146,8 +146,8 @@
     USE surface_data, ONLY : type_ocean, ok_veget
     USE netcdf
+    USE indice_sol_mod
 
     IMPLICIT NONE
     
-    INCLUDE "indicesol.h"
     INCLUDE "iniprint.h"
 
Index: LMDZ5/trunk/libf/phylmd/limit_slab.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/limit_slab.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/limit_slab.F90	(revision 1785)
@@ -7,8 +7,8 @@
   USE mod_phys_lmdz_para
   USE netcdf 
+  USE indice_sol_mod
 
   IMPLICIT NONE
 
-  INCLUDE "indicesol.h"
   INCLUDE "temps.h"
   INCLUDE "clesphys.h"
Index: LMDZ5/trunk/libf/phylmd/ocean_cpl_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/ocean_cpl_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/ocean_cpl_mod.F90	(revision 1785)
@@ -62,6 +62,6 @@
     USE cpl_mod
     USE calcul_fluxs_mod
-
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "YOMCST.h"
 !    
@@ -197,6 +197,6 @@
     USE cpl_mod
     USE calcul_fluxs_mod
-
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "YOMCST.h"
 
Index: LMDZ5/trunk/libf/phylmd/ocean_forced_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/ocean_forced_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/ocean_forced_mod.F90	(revision 1785)
@@ -30,5 +30,6 @@
     USE calcul_fluxs_mod
     USE limit_read_mod
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "YOMCST.h"
 
@@ -137,6 +138,6 @@
     USE limit_read_mod
     USE fonte_neige_mod,  ONLY : fonte_neige
-
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
Index: LMDZ5/trunk/libf/phylmd/ocean_slab_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/ocean_slab_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/ocean_slab_mod.F90	(revision 1785)
@@ -18,5 +18,6 @@
     USE limit_read_mod
     USE surface_data
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
 !    INCLUDE "clesphys.h"
 
@@ -60,6 +61,6 @@
     USE dimphy
     USE calcul_fluxs_mod
-  
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "iniprint.h"
 
Index: LMDZ5/trunk/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/pbl_surface_mod.F90	(revision 1785)
@@ -56,5 +56,6 @@
 ! for the index of the different surfaces and tests the choice of type of ocean.
 
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "dimsoil.h"
     INCLUDE "iniprint.h"
@@ -247,7 +248,8 @@
 !
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, co2_send
+    USE indice_sol_mod
+
     IMPLICIT NONE
 
-    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
@@ -1318,5 +1320,6 @@
        evap_rst, rugos_rst, agesno_rst, ftsoil_rst)
 
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "dimsoil.h"
 
@@ -1368,5 +1371,6 @@
     ! Give default values where new fraction has appread
 
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "dimsoil.h"
     INCLUDE "clesphys.h"
Index: LMDZ5/trunk/libf/phylmd/phyaqua.F
===================================================================
--- LMDZ5/trunk/libf/phylmd/phyaqua.F	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/phyaqua.F	(revision 1785)
@@ -16,11 +16,12 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-      use comgeomphy, only : rlatd,rlond
-      use dimphy, only : klon
-      use surface_data, only : type_ocean,ok_veget
-      use pbl_surface_mod, only : pbl_surface_init
+      USE comgeomphy, only : rlatd,rlond
+      USE dimphy, only : klon
+      USE surface_data, only : type_ocean,ok_veget
+      USE pbl_surface_mod, only : pbl_surface_init
       USE fonte_neige_mod, only : fonte_neige_init
-      use phys_state_var_mod
-      use control_mod, only : dayref,nday,iphysiq
+      USE phys_state_var_mod
+      USE control_mod, only : dayref,nday,iphysiq
+      USE indice_sol_mod
 
       USE IOIPSL 
@@ -33,5 +34,4 @@
 #include "clesphys.h"
 #include "dimsoil.h"
-#include "indicesol.h"
 #include "temps.h"
 
Index: LMDZ5/trunk/libf/phylmd/phyetat0.F
===================================================================
--- LMDZ5/trunk/libf/phylmd/phyetat0.F	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/phyetat0.F	(revision 1785)
@@ -23,4 +23,5 @@
       USE carbon_cycle_mod,ONLY :
      &     carbon_cycle_tr, carbon_cycle_cpl, co2_send
+      USE indice_sol_mod
 
       IMPLICIT none
@@ -31,5 +32,4 @@
 #include "dimensions.h"
 #include "netcdf.inc"
-#include "indicesol.h"
 #include "dimsoil.h"
 #include "clesphys.h"
Index: LMDZ5/trunk/libf/phylmd/phyredem.F
===================================================================
--- LMDZ5/trunk/libf/phylmd/phyredem.F	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/phyredem.F	(revision 1785)
@@ -16,4 +16,5 @@
       USE control_mod
       USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, co2_send
+      USE indice_sol_mod
 
       IMPLICIT none
@@ -23,5 +24,4 @@
 c======================================================================
 #include "netcdf.inc"
-#include "indicesol.h"
 #include "dimsoil.h"
 #include "clesphys.h"
Index: LMDZ5/trunk/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 1785)
@@ -191,10 +191,10 @@
 !======================================================================
 SUBROUTINE phys_local_var_init
-use dimphy
-use infotrac, ONLY : nbtr
+USE dimphy
+USE infotrac, ONLY : nbtr
 USE aero_mod
+USE indice_sol_mod
 
 IMPLICIT NONE
-#include "indicesol.h"
       allocate(t_seri(klon,klev),q_seri(klon,klev),ql_seri(klon,klev),qs_seri(klon,klev))
       allocate(u_seri(klon,klev),v_seri(klon,klev))
@@ -283,7 +283,7 @@
 !======================================================================
 SUBROUTINE phys_local_var_end
-use dimphy
+USE dimphy
+USE indice_sol_mod
 IMPLICIT NONE
-#include "indicesol.h"
       deallocate(t_seri,q_seri,ql_seri,qs_seri)
       deallocate(u_seri,v_seri)
Index: LMDZ5/trunk/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/phys_output_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/phys_output_mod.F90	(revision 1785)
@@ -11,4 +11,5 @@
 
 MODULE phys_output_mod 
+  USE indice_sol_mod
 
   IMPLICIT NONE
@@ -680,5 +681,4 @@
     include "dimensions.h"
     include "temps.h"
-    include "indicesol.h"
     include "clesphys.h"
     include "thermcell.h"
@@ -1097,4 +1097,6 @@
              CALL histdef2d(iff,clef_stations(iff), &
                   o_wbilo_srf(nsrf)%flag,o_wbilo_srf(nsrf)%name,"Bilan eau "//clnsurf(nsrf),"kg/(m2*s)")
+
+
              if (iflag_pbl>1 .and. lev_files(iff).gt.10 ) then
                 CALL histdef2d(iff,clef_stations(iff), &
@@ -1117,4 +1119,5 @@
 
              endif
+
 
              CALL histdef2d(iff,clef_stations(iff), &
@@ -1861,5 +1864,4 @@
     include "dimensions.h"
     include "temps.h"
-    include "indicesol.h"
     include "clesphys.h"
 
@@ -1915,5 +1917,4 @@
     include "dimensions.h"
     include "temps.h"
-    include "indicesol.h"
     include "clesphys.h"
 
Index: LMDZ5/trunk/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/phys_state_var_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/phys_state_var_mod.F90	(revision 1785)
@@ -361,8 +361,9 @@
 !======================================================================
 SUBROUTINE phys_state_var_init(read_climoz)
-use dimphy
+USE dimphy
 USE control_mod
-use aero_mod
-use infotrac, ONLY : nbtr
+USE aero_mod
+USE infotrac, ONLY : nbtr
+USE indice_sol_mod
 IMPLICIT NONE
 
@@ -375,5 +376,4 @@
 ! climatology and the daylight climatology
 
-#include "indicesol.h"
       ALLOCATE(rlat(klon), rlon(klon))
       ALLOCATE(pctsrf(klon,nbsrf))
@@ -522,8 +522,8 @@
 !======================================================================
 SUBROUTINE phys_state_var_end
-use dimphy
-use control_mod
+USE dimphy
+USE control_mod
+USE indice_sol_mod
 IMPLICIT NONE
-#include "indicesol.h"
 
       deallocate(rlat, rlon, pctsrf, ftsol, falb1, falb2)
Index: LMDZ5/trunk/libf/phylmd/physiq.F
===================================================================
--- LMDZ5/trunk/libf/phylmd/physiq.F	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/physiq.F	(revision 1785)
@@ -46,5 +46,5 @@
       USE CHEM_REP, ONLY : Init_chem_rep_xjour
 #endif
-
+      USE indice_sol_mod
 
 !IM stations CFMIP
@@ -104,5 +104,4 @@
 
 #include "regdim.h"
-#include "indicesol.h"
 #include "dimsoil.h"
 #include "clesphys.h"
Index: LMDZ5/trunk/libf/phylmd/phystokenc.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/phystokenc.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/phystokenc.F90	(revision 1785)
@@ -12,4 +12,5 @@
   USE iophy
   USE control_mod
+  USE indice_sol_mod
   
   IMPLICIT NONE
@@ -22,5 +23,4 @@
   INCLUDE "dimensions.h"
   INCLUDE "tracstoke.h"
-  INCLUDE "indicesol.h"
   INCLUDE "iniprint.h"
 !======================================================================
Index: LMDZ5/trunk/libf/phylmd/phytrac.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/phytrac.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/phytrac.F90	(revision 1785)
@@ -45,4 +45,5 @@
   USE tracreprobus_mod
   USE control_mod
+  USE indice_sol_mod
 
   IMPLICIT NONE
@@ -50,5 +51,4 @@
   INCLUDE "YOMCST.h"
   INCLUDE "dimensions.h"
-  INCLUDE "indicesol.h"
   INCLUDE "clesphys.h"
   INCLUDE "temps.h"
Index: LMDZ5/trunk/libf/phylmd/read_pstoke.F
===================================================================
--- LMDZ5/trunk/libf/phylmd/read_pstoke.F	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/read_pstoke.F	(revision 1785)
@@ -21,4 +21,5 @@
       USE dimphy
       USE control_mod
+      USE indice_sol_mod
 
        IMPLICIT NONE
@@ -34,5 +35,4 @@
 #include "description.h"
 #include "serre.h"
-#include "indicesol.h"
 cccc#include "dimphy.h"
 	
Index: LMDZ5/trunk/libf/phylmd/read_pstoke0.F
===================================================================
--- LMDZ5/trunk/libf/phylmd/read_pstoke0.F	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/read_pstoke0.F	(revision 1785)
@@ -17,7 +17,8 @@
 C******************************************************************************
 
-	use netcdf
+	 USE netcdf
        USE dimphy
        USE control_mod
+       USE indice_sol_mod
 
        IMPLICIT NONE
@@ -33,5 +34,4 @@
 #include "description.h"
 #include "serre.h"
-#include "indicesol.h"
 cccc#include "dimphy.h"
 	  
Index: LMDZ5/trunk/libf/phylmd/screenc.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/screenc.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/screenc.F90	(revision 1785)
@@ -22,5 +22,5 @@
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
-! nsrf----input-I- indice pour le type de surface; voir indicesol.h
+! nsrf----input-I- indice pour le type de surface; voir indice_sol_mod.F90
 ! zxli----input-L- TRUE si calcul des cdrags selon Laurent Li
 ! speed---input-R- module du vent au 1er niveau du modele
Index: LMDZ5/trunk/libf/phylmd/screenp.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/screenp.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/screenp.F90	(revision 1785)
@@ -22,5 +22,5 @@
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
-! nsrf----input-I- indice pour le type de surface; voir indicesol.h
+! nsrf----input-I- indice pour le type de surface; voir indice_sol_mod.F90
 ! speed---input-R- module du vent au 1er niveau du modele
 ! tair----input-R- temperature de l'air au 1er niveau du modele
Index: LMDZ5/trunk/libf/phylmd/soil.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/soil.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/soil.F90	(revision 1785)
@@ -7,4 +7,6 @@
   USE dimphy
   USE mod_phys_lmdz_para
+  USE indice_sol_mod
+
   IMPLICIT NONE
 
@@ -52,5 +54,4 @@
   INCLUDE "YOMCST.h"
   INCLUDE "dimsoil.h"
-  INCLUDE "indicesol.h"
   INCLUDE "comsoil.h"
   INCLUDE "iniprint.h"
Index: LMDZ5/trunk/libf/phylmd/stdlevvar.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/stdlevvar.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/stdlevvar.F90	(revision 1785)
@@ -23,5 +23,5 @@
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
-! nsrf----input-I- indice pour le type de surface; voir indicesol.h
+! nsrf----input-I- indice pour le type de surface; voir indice_sol_mod.F90
 ! zxli----input-L- TRUE si calcul des cdrags selon Laurent Li
 ! u1------input-R- vent zonal au 1er niveau du modele
Index: LMDZ5/trunk/libf/phylmd/stratocu_if.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/stratocu_if.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/stratocu_if.F90	(revision 1785)
@@ -1,5 +1,8 @@
   SUBROUTINE stratocu_if(klon,klev,pctsrf,paprs, pplay,t &
 ,seuil_inversion,weak_inversion,dthmin)
-implicit none
+
+  USE indice_sol_mod
+
+IMPLICIT NONE
 
 !======================================================================
@@ -39,5 +42,4 @@
     REAL dthmin(klon), zdthdp
 
-    INCLUDE "indicesol.h"
     INCLUDE "YOMCST.h"
 
Index: LMDZ5/trunk/libf/phylmd/surf_land_bucket_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/surf_land_bucket_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/surf_land_bucket_mod.F90	(revision 1785)
@@ -27,9 +27,9 @@
     USE mod_grid_phy_lmdz
     USE mod_phys_lmdz_para
+    USE indice_sol_mod
 !****************************************************************************************
 ! Bucket calculations for surface. 
 !
     INCLUDE "clesphys.h"
-    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
Index: LMDZ5/trunk/libf/phylmd/surf_land_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/surf_land_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/surf_land_mod.F90	(revision 1785)
@@ -31,6 +31,6 @@
     USE surf_land_bucket_mod
     USE calcul_fluxs_mod
+    USE indice_sol_mod
 
-    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
Index: LMDZ5/trunk/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/surf_land_orchidee_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/surf_land_orchidee_mod.F90	(revision 1785)
@@ -44,4 +44,5 @@
     USE mod_synchro_omp
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl
+    USE indice_sol_mod
 
 !    
@@ -97,5 +98,4 @@
 !   qsurf        air moisture at surface
 !
-    INCLUDE "indicesol.h"
     INCLUDE "temps.h"
     INCLUDE "YOMCST.h"
@@ -551,5 +551,5 @@
     USE mod_grid_phy_lmdz
     USE mod_surf_para    
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
 
 #ifdef CPP_MPI
Index: LMDZ5/trunk/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/surf_land_orchidee_noopenmp_mod.F90	(revision 1785)
@@ -97,7 +97,7 @@
 !
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, fco2_land_inst, fco2_lu_inst
+    USE indice_sol_mod
     IMPLICIT NONE
 
-    INCLUDE "indicesol.h"
     INCLUDE "temps.h"
     INCLUDE "YOMCST.h"
@@ -634,5 +634,6 @@
   SUBROUTINE Init_neighbours(knon,neighbours,ktindex,pctsrf)
     
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "dimensions.h"
 #ifdef CPP_MPI
Index: LMDZ5/trunk/libf/phylmd/surf_landice_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/surf_landice_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/surf_landice_mod.F90	(revision 1785)
@@ -25,6 +25,7 @@
     USE calcul_fluxs_mod
     USE phys_output_var_mod
-
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
+!    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
     INCLUDE "YOMCST.h"
Index: LMDZ5/trunk/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/surf_ocean_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/surf_ocean_mod.F90	(revision 1785)
@@ -25,10 +25,11 @@
   USE ocean_slab_mod, ONLY   : ocean_slab_noice
   USE ocean_cpl_mod, ONLY    : ocean_cpl_noice
+  USE indice_sol_mod
 !
 ! This subroutine will make a call to ocean_XXX_noice according to the ocean mode (force, 
 ! slab or couple). The calculations of albedo and rugosity for the ocean surface are 
 ! done in here because they are identical for the different modes of ocean. 
-!
-    INCLUDE "indicesol.h"
+
+
     INCLUDE "YOMCST.h"
 
Index: LMDZ5/trunk/libf/phylmd/surf_seaice_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/surf_seaice_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/surf_seaice_mod.F90	(revision 1785)
@@ -25,4 +25,5 @@
   USE ocean_forced_mod, ONLY : ocean_forced_ice
   USE ocean_cpl_mod, ONLY    : ocean_cpl_ice
+  USE indice_sol_mod
 
 !
@@ -31,5 +32,4 @@
 ! in here because it is the same calculation for the different modes of ocean.
 !
-    INCLUDE "indicesol.h"
     INCLUDE "dimsoil.h"
 
Index: LMDZ5/trunk/libf/phylmd/thermcell_main.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/thermcell_main.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/thermcell_main.F90	(revision 1785)
@@ -19,9 +19,10 @@
      &                  ,alp_bl_conv,alp_bl_stat &
 !!! fin nrlmd le 10/04/2012
-     &                  ,ztva  )
+     &                         )
 
       USE dimphy
       USE ioipsl
       USE comgeomphy , ONLY:rlond,rlatd
+      USE indice_sol_mod
       IMPLICIT NONE
 
@@ -67,7 +68,4 @@
 #include "iniprint.h"
 #include "thermcell.h"
-!!! nrlmd le 10/04/2012
-#include "indicesol.h"
-!!! fin nrlmd le 10/04/2012
 
 !   arguments:
Index: LMDZ5/trunk/libf/phylmd/tracinca_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/tracinca_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/tracinca_mod.F90	(revision 1785)
@@ -46,9 +46,9 @@
     USE comgeomphy
     USE control_mod
+    USE indice_sol_mod
 
     
     IMPLICIT NONE
     
-    INCLUDE "indicesol.h"
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
Index: LMDZ5/trunk/libf/phylmd/traclmdz_mod.F90
===================================================================
--- LMDZ5/trunk/libf/phylmd/traclmdz_mod.F90	(revision 1783)
+++ LMDZ5/trunk/libf/phylmd/traclmdz_mod.F90	(revision 1785)
@@ -95,6 +95,6 @@
     USE mod_grid_phy_lmdz
     USE mod_phys_lmdz_para
-
-    INCLUDE "indicesol.h"
+    USE indice_sol_mod
+
     INCLUDE "iniprint.h"
 ! Input variables
@@ -346,6 +346,7 @@
     USE o3_chem_m, ONLY: o3_chem
     USE carbon_cycle_mod, ONLY : carbon_cycle, carbon_cycle_tr, carbon_cycle_cpl
+    USE indice_sol_mod
+
     INCLUDE "YOMCST.h"
-    INCLUDE "indicesol.h"
 
 !==========================================================================
